Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::LoopNest::FeatureIntermediates Struct Reference

`#include <LoopNest.h>`

## Public Attributes

double | inlined_calls
double | num_vectors
double | num_scalars
double | vector_size
double | innermost_pure_loop_extent
double | outer_parallelism
double | num_warps_per_block
double | num_threads_per_block
double | points_computed_per_thread

## Detailed Description

Definition at line 133 of file LoopNest.h.

## Member Data Documentation

## inlined_calls

double Halide::Internal::Autoscheduler::LoopNest::FeatureIntermediates::inlined_calls

Definition at line 134 of file LoopNest.h.

## num_vectors

double Halide::Internal::Autoscheduler::LoopNest::FeatureIntermediates::num_vectors

Definition at line 135 of file LoopNest.h.

## num_scalars

double Halide::Internal::Autoscheduler::LoopNest::FeatureIntermediates::num_scalars

Definition at line 136 of file LoopNest.h.

## vector_size

double Halide::Internal::Autoscheduler::LoopNest::FeatureIntermediates::vector_size

Definition at line 137 of file LoopNest.h.

## innermost_pure_loop_extent

double Halide::Internal::Autoscheduler::LoopNest::FeatureIntermediates::innermost_pure_loop_extent

Definition at line 138 of file LoopNest.h.

## outer_parallelism

double Halide::Internal::Autoscheduler::LoopNest::FeatureIntermediates::outer_parallelism

Definition at line 139 of file LoopNest.h.

## num_warps_per_block

double Halide::Internal::Autoscheduler::LoopNest::FeatureIntermediates::num_warps_per_block

Definition at line 140 of file LoopNest.h.

## num_threads_per_block

double Halide::Internal::Autoscheduler::LoopNest::FeatureIntermediates::num_threads_per_block

Definition at line 141 of file LoopNest.h.

## points_computed_per_thread

double Halide::Internal::Autoscheduler::LoopNest::FeatureIntermediates::points_computed_per_thread

Definition at line 142 of file LoopNest.h.

The documentation for this struct was generated from the following file:

- src/autoschedulers/anderson2021/LoopNest.h